# 📚 **Code Documentation**

This is an all encompassing documentation of the code base.

It is handwritten and generated from [mkdocstrings](https://mkdocstrings.github.io). Unlike [Sphinx](https://www.sphinx-doc.org/), it lacks the `.autosummary::` syntax for recursive documentation generation, but this design choice facilitates precise introduction and management of how the code base is presented and interacted with.

Using the [CCCC Organization](../code_design/cccc_method.md) method is an easier way to showcase a codebase to a new developer rather than just a list of all the Classes, Methods, Functions and Scripts.

Yes, there is some low-level recursion to document the codebase, and yes, there is some room for recursive improvement, but, this is a beautiful way to showcase code, and makes you very familiar with the codebase, and in doing so, helps direct your focus towards important areas of the codebase; streamlining and speeding up development time.

