---
icon: material/hand-heart
---

## 🎯 __Expectations for Contributors__

Here is a set of guidelines that you should follow:

1. Use Cases:
    - Ensure that your contributions directly enhance the humbldata's functionality or extension ecosystem.

2. Documentation:
    - All code contributions should come with relevant documentation, including the purpose of the contribution, how it works, and any changes it makes to existing functionalities.
    - Update any existing documentation if your contribution alters the behavior of the humbldata.

3. Code Quality:
    - Your code should adhere strictly to the humbldata's coding standards and conventions.
    - Ensure clarity, maintainability, and proper organization in your code.

4. Testing:
    - All contributions must be thoroughly tested to avoid introducing bugs to the humbldata.
    - Contributions should include relevant automated tests (unit and integration), and any new feature should come with its test cases.

5. Performance:
    - Your contributions should be optimized for performance and should not degrade the overall efficiency of the humbldata.
    - Address any potential bottlenecks and ensure scalability.

6. Collaboration:
    - Engage actively with the humbldata development team to ensure that your contributions align with the platform's roadmap and standards.
    - Welcome feedback and be open to making revisions based on reviews and suggestions from the community.

   - We acknowledge and thank the OpenBB team for creating such well documented [Guidelines](https://github.com/OpenBB-finance/OpenBBTerminal/blob/develop/openbb_platform/CONTRIBUTING.md#contributor-guidelines).
